Vla-get-totalangle

提供: GizmoLabs
移動先: 案内検索
構文
(vla-get-totalangle vla-object )


機能
円弧の全角度を取得する。


引数
  • vla-object … Arc のVLAオブジェクト


戻り値
ラジアンで示した円弧の全長。


サンプル
(vl-load-com)
(defun c:Example_TotalAngle()
    ;; 円弧を作成して、全角度を取得するサンプル
    (setq acadObj (vlax-get-acad-object))
    (setq doc (vla-get-ActiveDocument acadObj))

    ;; 円弧の定義
    (setq centerPoint (vlax-3d-point 0 0 0)  
          radius 5
          startAngleInDegree 10
          endAngleInDegree 230)
    
    ;; Deg→Rad 変換
    (setq startAngleInRadian (/ (* startAngleInDegree 3.141592) 180))
    (setq endAngleInRadian (/ (* endAngleInDegree 3.141592) 180))
    
    ;; 円弧を作成
    (setq modelSpace (vla-get-ModelSpace doc))  
    (setq arcObj (vla-AddArc modelSpace centerPoint radius startAngleInRadian endAngleInRadian))
    (vla-ZoomAll acadObj)
    
    ;; 全角度を取得
    (alert (strcat "円弧の全角度は : " (rtos (vla-get-TotalAngle arcObj) 2)))
)

関連事項